# elfSectionheader Struct Reference

`#include <elf.h>`

## Data Fields

uInt32 | shName
uInt32 | shType
uInt32 | shFlags
uInt32 | shAddr
uInt32 | shOffset
uInt32 | shSize
uInt32 | shLink
uInt32 | shInfo
uInt32 | shAddralign
uInt32 | shEntsize

## Field Documentation

uInt32 elfSectionheader::shAddr

| Address in memory image.

uInt32 elfSectionheader::shAddralign

| Alignment in bytes.

uInt32 elfSectionheader::shEntsize

| Size of each entry in section.

uInt32 elfSectionheader::shFlags

| Section flags.

uInt32 elfSectionheader::shInfo

| Depends on section type.

uInt32 elfSectionheader::shLink

| Index of a related section.

uInt32 elfSectionheader::shName

| Section name (index into the section header string table).

uInt32 elfSectionheader::shOffset

| Offset in file.

uInt32 elfSectionheader::shSize

| Size in bytes.

uInt32 elfSectionheader::shType

| Section type.

The documentation for this struct was generated from the following file:

- elf.h